Index: /CONFIG/UNIFORM/v6/IPSLCM6/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2876)
@@ -69,5 +69,5 @@
 
 liborchidee : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios)
+	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
 
 lmdz96x95x39:
@@ -82,5 +82,5 @@
 lmdz: ../../modeles/LMDZ
 #	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm -d $(RESOL_LMDZ) -mem -cosp false -v true -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ ; ./makelmdz_fcm -d $(RESOL_LMDZ) -mem -cosp true -v true -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 xios: ../../modeles/XIOS
@@ -128,5 +128,5 @@
 
 cleanioipsl :
-	( cd ../../modeles/IOIPSL ; make clean )
+	( cd ../../modeles/IOIPSL/src ; gmake clean )
 	( cd $(BINDIR) ; rm -f calendar.mod  defprec.mod  errioipsl.mod  flincom.mod  fliocom.mod  getincom.mod  histcom.mod  ioipsl.mod  libioipsl.a	mathelp.mod  restcom.mod  stringop.mod )	
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lim3.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lim3.card	(revision 2876)
@@ -17,4 +17,7 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref , namelist_ice_ref ), \
         (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg             , namelist_ice_cfg )
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-lim3.xml                  , file_def_nemo-lim.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml                  , field_def_nemo-lim.xml   )
+
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card	(revision 2876)
@@ -74,6 +74,6 @@
         (${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_XY},    gcm.def),          \
         (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),         \
-        (${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),          \
-        (${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_input_nl.txt,   .),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_output_nl.txt,  .),          \
         (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/opa9.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/opa9.card	(revision 2876)
@@ -25,5 +25,6 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_Goutorbe1_2_eorca1_bilinear.nc               ,  . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc               ,  . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_reg05_2_eorca1_bilinear.nc                   ,  . )
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_reg05_2_eorca1_bilinear.nc                   ,  . ), \
+	    (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/vosaline_360x180-ORCA1_WOA13_climatemonth.nc         , sali_ref_clim_monthly.nc )
 
 
@@ -32,10 +33,11 @@
 
 [ParametersFiles]
-List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref  , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/field_def.xml , field_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/domain_def.xml, domain_def_nemo.xml ), \
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref  , namelist_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml, domain_def_nemo.xml ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg          , namelist_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/context_nemo.xml                   , context_nemo.xml    ), \
-	(${SUBMIT_DIR}/PARAM/file_def_nemo.xml                  , file_def_nemo.xml   )
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml                   , context_nemo.xml    ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                  , file_def_nemo-opa.xml   )
+
    
 
@@ -85,5 +87,5 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_instant, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
 ChunckJob2D = NONE
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/orchidee.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/orchidee.card	(revision 2876)
@@ -15,5 +15,5 @@
 List=	(${R_IN}/SRF/soils_param.nc,        . ), \
 	(${R_IN}/SRF/routing.nc,            . ), \
-	(${R_IN}/SRF/albedo/alb_bg_jrctip.nc, . ), \
+    (${R_IN}/SRF/albedo/alb_bg_modisopt.nc, alb_bg.nc), \
 	(${R_IN}/SRF/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_2000.nc, PFTmap.nc), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 2876)
@@ -35,4 +35,7 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref, namelist_pisces_ref) ,\
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg        , namelist_pisces_cfg)
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                  , file_def_nemo-pisces.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml                  , field_def_nemo-pisces.xml   )
+        
 
 [RestartFiles]
@@ -45,8 +48,8 @@
 List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
-	(${config_UserChoices_JobName}_1m_bioscalar.nc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1D_bioscalar) , \
+	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
 
 
@@ -54,5 +57,14 @@
 [Post_1D_bioscalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_instant, time_centered_bounds)
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = OFF
+TimeSeriesVars3D = ()
+ChunckJob3D = 50Y
+Seasonal=OFF
+
+[Post_1M_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
 TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
 ChunckJob2D = OFF
@@ -63,5 +75,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_instant, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -81,5 +93,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_instant, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2876)
@@ -17,4 +17,7 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref , namelist_ice_ref ), \
         (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg             , namelist_ice_cfg )
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-lim3.xml                  , file_def_nemo-lim.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml                  , field_def_nemo-lim.xml   )
+
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2876)
@@ -72,6 +72,6 @@
         (${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_XY},    gcm.def),          \
         (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),         \
-        (${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),          \
-        (${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_input_nl.txt,   .),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/cosp_output_nl.txt,  .),          \
         (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2876)
@@ -33,10 +33,11 @@
 
 [ParametersFiles]
-List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref  , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/field_def.xml , field_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/domain_def.xml, domain_def_nemo.xml ), \
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref  , namelist_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml, domain_def_nemo.xml ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg          , namelist_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/context_nemo.xml                   , context_nemo.xml    ), \
-	(${SUBMIT_DIR}/PARAM/file_def_nemo.xml                  , file_def_nemo.xml   )
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml                   , context_nemo.xml    ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                  , file_def_nemo-opa.xml   )
+
    
 
@@ -86,5 +87,5 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_instant, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
 ChunckJob2D = NONE
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card	(revision 2876)
@@ -15,5 +15,5 @@
 List=	(${R_IN}/SRF/soils_param.nc,        . ), \
 	(${R_IN}/SRF/routing.nc,            . ), \
-	(${R_IN}/SRF/albedo/alb_bg_jrctip.nc, . ), \
+	(${R_IN}/SRF/albedo/alb_bg_modisopt.nc, alb_bg.nc), \
 	(${R_IN}/SRF/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_1850.nc, PFTmap.nc), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2876)
@@ -35,4 +35,7 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref, namelist_pisces_ref) ,\
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg        , namelist_pisces_cfg)
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                  , file_def_nemo-pisces.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml                  , field_def_nemo-pisces.xml   )
+        
 
 [RestartFiles]
@@ -54,5 +57,5 @@
 [Post_1D_bioscalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_instant, time_centered_bounds)
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
 TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
 ChunckJob2D = OFF
@@ -63,5 +66,5 @@
 [Post_1M_bioscalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_instant, time_centered_bounds)
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
 TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
 ChunckJob2D = OFF
@@ -72,5 +75,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_instant, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -90,5 +93,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_instant, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 2876)
@@ -434,4 +434,12 @@
 	IGCM_comp_modifyDefFile nonblocker config.def ok_cdnc n	
     fi 
+
+    # config.def : Activate COSP
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker config.def ok_cosp ${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def ok_cosp n	
+    fi 
+
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2876)
@@ -159,8 +159,16 @@
     IGCM_debug_Print 1 ${V1D_ENABLE} ${V1M_ENABLE} ${V1Y_ENABLE}
 
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo.xml 1d enabled ${V1D_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo.xml 1m enabled ${V1M_ENABLE}
-    IGCM_comp_modifyXmlFile nonblocker file_def_nemo.xml 1y enabled ${V1Y_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1d enabled ${V1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1m enabled ${V1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1y enabled ${V1Y_ENABLE}
 	
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${V1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${V1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${V1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1d enabled ${V1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1m enabled ${V1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1y enabled ${V1Y_ENABLE}
+
     # vargas/titane/MPP and switch from 1 proc to 5 procs. We need to suppres restartopa the second month, if restartopa_0000 exist
     # same thing for restart_trc and restart_ice_in
@@ -181,5 +189,5 @@
     #Long Name as global attribute (if LongName is not empty)
     if [ ! "X${config_UserChoices_LongName}" = "X" ] ; then
-	listfile=$(ls file_def*nemo.xml)
+	listfile=$(ls file_def_nemo*.xml)
 	echo "<variable id=\"LongName\" type=\"string\">${config_UserChoices_LongName}</variable>" > add.tmp
 	for file in ${listfile}
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_actuel
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_actuel	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_actuel	(revision 2876)
@@ -64,2 +64,4 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=_AUTO_
+# COSP
+ok_cosp=_AUTO_
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_annuel
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_annuel	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_annuel	(revision 2876)
@@ -64,2 +64,4 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=_AUTO_
+# COSP
+ok_cosp=_AUTO_
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_preind
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_preind	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/config.def_preind	(revision 2876)
@@ -66,2 +66,4 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=_AUTO_
+# COSP
+ok_cosp=_AUTO_
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2876)
@@ -95,2 +95,8 @@
 CO2_FOR_BVOC_POSSELL=n
 
+ALB_BG_FILE=alb_bg.nc
+ROUGH_DYN=n
+OK_FREEZE=y
+DEPTH_MAX_T=90
+OK_EXPLICITSNOW=y 
+READ_REFTEMP=n
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_lim3_ORCA1.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_lim3_ORCA1.cfg	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_lim3_ORCA1.cfg	(revision 2876)
@@ -44,12 +44,9 @@
 # Temporary fix
  siconc_north    | "sivolu sithic"  | eORCA1.1_grid.nc | "(sivolu[d=1]/sithic[d=2]"   | "Ice Fraction (NORTH)"            | "-"     | "if lat[d=3] ge 0 then mask[k=1,d=3]*area[d=3]"
- siconc_south    | "sivolu sithic"  | eORCA1.1_grid.nc | "(sivolu[d=1]/sithic[d=2]"   | "Ice Fraction (NORTH)"            | "-"     | "if lat[d=3] le 0 then mask[k=1,d=3]*area[d=3]"
- icesurf_north   | "sivolu sithic"  | eORCA1.1_grid.nc | "(if lat[d=2] ge 0 then sivolu[d=1]/sithic[d=2]*mask[k=1,d=3]*area[d=3])"   | "Ice Volume (NORTH)"    | "m3"    | "2"
- icesurf_south   | "sivolu sithic"  | eORCA1.1_grid.nc | "(if lat[d=2] le 0 then sivolu[d=1]/sithic[d=2]*mask[k=1,d=3]*area[d=3])"   | "Ice Volume (SOUTH)"    | "m3"    | "2"
-#
+ siconc_south    | "sivolu sithic"  | eORCA1.1_grid.nc | "(sivolu[d=1]/sithic[d=2]"   | "Ice Fraction (SOUTH)"            | "-"     | "if lat[d=3] le 0 then mask[k=1,d=3]*area[d=3]"
  snowvol_north   | "snvolu"  | eORCA1.1_grid.nc | "(if lat[d=2] ge 0 then snvolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Snow Volume (NORTH)"   | "m3"    | "2"
- snowvol_south   | "snvolu"  | eORCA1.1_grid.nc | "(if lat[d=3] le 0 then sivolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Ice Volum  (SOUTH)"    | "m3"    | "2"
- icevol_north    | "sivolu"  | eORCA1.1_grid.nc | "(if lat[d=2] ge 0 then snvolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Snow Volume (SOUTH)"   | "m3"    | "2"
- icevol_south    | "sivolu"  | eORCA1.1_grid.nc | "(if lat[d=2] le 0 then snvolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Snow Volume (SOUTH)"   | "m3"    | "2"
+ snowvol_south   | "snvolu"  | eORCA1.1_grid.nc | "(if lat[d=2] le 0 then snvolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Snow Volume  (SOUTH)"    | "m3"    | "2"
+ icevol_north    | "sivolu"  | eORCA1.1_grid.nc | "(if lat[d=2] ge 0 then sivolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Ice Volume (NORTH)"   | "m3"    | "2"
+ icevol_south    | "sivolu"  | eORCA1.1_grid.nc | "(if lat[d=2] le 0 then sivolu[d=1]*mask[k=1,d=2]*area[d=2])"   | "Ice Volume (SOUTH)"   | "m3"    | "2"  
  iicethic_north  | "sithic"  | eORCA1.1_grid.nc | "(sithic[d=1])"   | "Ice thickness (NORTH)"           | "m"     | "if lat[d=2] ge 0 then mask[k=1,d=2]*area[d=2]"
  iicethic_south  | "sithic"  | eORCA1.1_grid.nc | "(sithic[d=1])"   | "Ice thickness (SOUTH)"           | "m"     | "if lat[d=2] le 0 then mask[k=1,d=2]*area[d=2]"
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_opa9_ORCA1.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_opa9_ORCA1.cfg	(revision 2875)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_opa9_ORCA1.cfg	(revision 2876)
@@ -41,5 +41,5 @@
  sosaline_global  | "sos"      | eORCA1.1_grid.nc | "(sos[d=1])"                                         | "Sea Surface Salinity (GLOBAL)"    | "PSU"   | "mask[k=1,d=2]*area[d=2]"
  sossheig_global  | "zos"      | eORCA1.1_grid.nc | "(zos[d=1])"                                         | "Sea Surface Heigh (GLOBAL)"       | "m"     | "mask[k=1,d=2]*area[d=2]"
- sohefldo_global  | "nshfls+rsntds" | eORCA1.1_grid.nc | "(nshfls[d=1]+rsntds[d=2])"                     | "Net Downward Heat Flux (GLOBAL)"  | "W/m^2" | "mask[k=1,d=2]*area[d=3]"
+ sohefldo_global  | "nshfls rsntds" | eORCA1.1_grid.nc | "(nshfls[d=1]+rsntds[d=2])"                     | "Net Downward Heat Flux (GLOBAL)"  | "W/m^2" | "mask[k=1,d=3]*area[d=3]"
  somxl010_north   | "mldr10_1" | eORCA1.1_grid.nc | "(mldr10_1[d=1])" | "Mixed layer depth (NORTH)"      | "m"     | "(if lat[d=2] gt 0 then mask[k=1,d=2]*area[d=2])"
  somxl010_south   | "mldr10_1" | eORCA1.1_grid.nc | "(mldr10_1[d=1])" | "Mixed layer depth (SOUTH)"      | "m"     | "(if lat[d=2] lt 0 then mask[k=1,d=2]*area[d=2])"
